PROGRAM = quick_sort
ASFLAGS  = -gstabs
CFLAGS = -g -Wall -pedantic

.PHONY: clean
	
$(PROGRAM): $(PROGRAM).o main.o
	gcc $(CFLAGS) -o $(PROGRAM) $(PROGRAM).o main.o
$(PROGRAM).o: $(PROGRAM).s
	as $(ASFLAGS) -o $(PROGRAM).o $(PROGRAM).s
main.o: main.c
	gcc -c $(CFLAGS) -o main.o main.c
clean:
	rm -f *.o 
	rm -f $(PROGRAM)
	rm -f *~

